Skip to content
🐢 🚀 Get the Node.js and Electron ABI for a given target and runtime
JavaScript
Branch: master
Clone or download
Permalink
Type Name Latest commit message Commit time
Failed to load latest commit information.
test add entries for Node 12 and Electron 5 (#62) Apr 25, 2019
.gitignore Initial commit Dec 2, 2016
.travis.yml chore: ⬆️ semantic release + update token (#45) Sep 29, 2018
CODE_OF_CONDUCT.md
CONTRIBUTING.md docs: Add contributing guide Sep 6, 2017
LICENSE Initial commit Dec 2, 2016
README.md feat: add support to node-webkit target. (#34) Jan 28, 2018
index.js feat: add support for Node 13 Nov 27, 2019
package.json chore: ⬆️ semantic release + update token (#45) Sep 29, 2018

README.md

Node.js ABI

Build Status Greenkeeper badge

Get the Node ABI for a given target and runtime, and vice versa.

Installation

npm install node-abi

Usage

const nodeAbi = require('node-abi')

nodeAbi.getAbi('7.2.0', 'node')
// '51'
nodeAbi.getAbi('1.4.10', 'electron')
// '50'
nodeAbi.getTarget('51', 'node')
// '7.2.0'
nodeAbi.getTarget('50', 'electron')
// '1.4.15'

nodeAbi.allTargets
// [
//  { runtime: 'node', target: '0.10.48', abi: '11', lts: false },
//  { runtime: 'node', target: '0.12.17', abi: '14', lts: false },
//  { runtime: 'node', target: '4.6.1', abi: '46', lts: true },
//  { runtime: 'node', target: '5.12.0', abi: '47', lts: false },
//  { runtime: 'node', target: '6.9.4', abi: '48', lts: true },
//  { runtime: 'node', target: '7.4.0', abi: '51', lts: false },
//  { runtime: 'electron', target: '1.0.2', abi: '47', lts: false },
//  { runtime: 'electron', target: '1.2.8', abi: '48', lts: false },
//  { runtime: 'electron', target: '1.3.13', abi: '49', lts: false },
//  { runtime: 'electron', target: '1.4.15', abi: '50', lts: false }
// ]
nodeAbi.deprecatedTargets
nodeAbi.supportedTargets
nodeAbi.additionalTargets
nodeAbi.futureTargets
// ...

References

You can’t perform that action at this time.